OpenSSLSessionStats (Apache Tomcat 9.0.37 API Documentation)

org.apache.tomcat.util.net.openssl

## Class OpenSSLSessionStats

- java.lang.Object
- - org.apache.tomcat.util.net.openssl.OpenSSLSessionStats

-     public final class OpenSSLSessionStats
      extends Object

  Stats exposed by an OpenSSL session context.
  See Also:
    `SSL_CTX_sess_number`

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `accept()`
    `long` | `acceptGood()`
    `long` | `acceptRenegotiate()`
    `long` | `cacheFull()`
    `long` | `cbHits()`
    `long` | `connect()`
    `long` | `connectGood()`
    `long` | `connectRenegotiate()`
    `long` | `hits()`
    `long` | `misses()`
    `long` | `number()`
    `long` | `timeouts()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### number

          public long number()

      Returns:
        The current number of sessions in the internal session cache.

    - #### connect

          public long connect()

      Returns:
        The number of started SSL/TLS handshakes in client mode.

    - #### connectGood

          public long connectGood()

      Returns:
        The number of successfully established SSL/TLS sessions in client mode.

    - #### connectRenegotiate

          public long connectRenegotiate()

      Returns:
        The number of start renegotiations in client mode.

    - #### accept

          public long accept()

      Returns:
        The number of started SSL/TLS handshakes in server mode.

    - #### acceptGood

          public long acceptGood()

      Returns:
        The number of successfully established SSL/TLS sessions in server mode.

    - #### acceptRenegotiate

          public long acceptRenegotiate()

      Returns:
        The number of start renegotiations in server mode.

    - #### hits

          public long hits()

      Returns:
        The number of successfully reused sessions. In client mode, a session set with `SSL_set_session` successfully reused is counted as a hit. In server mode, a session successfully retrieved from internal or external cache is counted as a hit.

    - #### cbHits

          public long cbHits()

      Returns:
        The number of successfully retrieved sessions from the external session cache in server mode.

    - #### misses

          public long misses()

      Returns:
        The number of sessions proposed by clients that were not found in the internal session cache in server mode.

    - #### timeouts

          public long timeouts()

      Returns:
        The number of sessions proposed by clients and either found in the internal or external session cache in server mode, but that were invalid due to timeout. These sessions are not included in the `hits()` count.

    - #### cacheFull

          public long cacheFull()

      Returns:
        The number of sessions that were removed because the maximum session cache size was exceeded.

Copyright © 2000-2020 Apache Software Foundation. All Rights Reserved.